import { Observable } from 'rxjs';
export interface AlertConfig {
    content: string;
    title?: string;
    btnText?: string;
}
export declare class AlertController {
    alertConfig: Observable<AlertConfig>;
    private alertAction;
    private alertActionSource;
    private alertConfigSource;
    constructor();
    show(params: AlertConfig): Promise<any>;
    publishAction(): void;
}
